<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#fff', get_template_directory_uri().'/images/Testimonialbg.jpg', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_testsectionpadding', 'testimonials_area', 'Section Padding');

$wp_customize->add_setting(
    'testimonials_areaTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaTpadding',
    array(
        'settings'      => 'testimonials_areaTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Top ', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'testimonials_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaBpadding',
    array(
        'settings'      => 'testimonials_areaBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Heading', 'Luzuk Premium' ),
       )
   )
);

$wp_customize->add_setting(
    'testimonial_page_maintitle',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<span>OUR</span> TESTIMONIALS', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonial_page_maintitle',
    array(
       'settings'      => 'testimonial_page_maintitle',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testimonialsarea_headspclr', 'testimonials_area', 'Section Span Heading Color', '#000');
addColorPalatOption($wp_customize, 'testimonialsarea_headimgclr', 'testimonials_area', 'Section Heading Color', '#fff');
addColorPalatOption($wp_customize, 'testimonialsarea_headbgclr1', 'testimonials_area', 'Heading BG Color 1', '#fff');
addColorPalatOption($wp_customize, 'testimonialsarea_headbgclr2', 'testimonials_area', 'Heading BG Color 2', '#ff6f00');
addColorPalatOption($wp_customize, 'testimonialsarea_headbdrclr', 'testimonials_area', 'Heading Border Color', '#ff6f00');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 9; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial ', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select A Client Testimonial', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}

lzCustomLable($wp_customize, 'luzuk_sec_testsclr', 'testimonials_area', 'Testimonial Colour Setting');
addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', 'Client Name Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_testimonials_Desgcolor', 'testimonials_area', 'Client Designation Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_testimonials_NameBoxbgcolor1', 'testimonials_area', 'Client Name Box BG Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'luzuk_testimonials_NameBoxbgcolor2', 'testimonials_area', 'Client Name Box BG Color 2', '#FF6F00');
addColorPalatOption($wp_customize, 'luzuk_testimonials_NameboxbdrColor', 'testimonials_area', 'Client Name Box Border Color', '#FF943E');
addColorPalatOption($wp_customize, 'luzuk_testimonials_imgbrdcolor', 'testimonials_area', 'Image Border Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_testimonials_imgbrdhvcolor', 'testimonials_area', 'Image Border Hover Color', '#112B5C');
addColorPalatOption($wp_customize, 'luzuk_testimonials_textcolor', 'testimonials_area', 'Text Color', '#A7A7A7');
addColorPalatOption($wp_customize, 'luzuk_testimonials_icncolor', 'testimonials_area', 'Text Border Color', '#FF943E');
addColorPalatOption($wp_customize, 'luzuk_testimonials_boxcolor', 'testimonials_area', 'Box BG Color', '#fff');

?>